NM(1)

NAME
nm - display name list (symbol table)

SYNOPSIS
nm [-agnopruw] file ...

DESCRIPTION
The symbol table (name list) of each object in file(s) is displayed. If a library (archive) is given, nm displays a list for each object archive member. If file is not present, nm searches for the file a.out and if present, displays the symbol table for a.out.

-a  Display symbol table entries inserted for use by debuggers.

-g  Restrict display to external (global) symbols.

-n  Present results in numerical order.

-o  Display full path or library name of object on every line.

-p  Do not sort at all.

-r  Reverse order sort.

-u  Display undefined symbols only.

-w  Warn about non-object archive members. Normally, nm will silently ignore all archive members which are not object files.

Each symbol name is preceded by its value (a blank field if the symbol is undefined) and one of the following letters:

-   debugger symbol table entries (see the -a option).
A   absolute
B   bss segment symbol
C   common symbol
D   data segment symbol
f   file name
T   text segment symbol
U   undefined

If the symbol is local (non-external) the type letter is in lower case. The output is sorted alphabetically.

SEE ALSO
ar(1), ar(5), a.out(5), stab(5)

HISTORY
An nm command appeared in AT&T UNIX.